import os
import sys
import sqlite3
from hashlib import md5
from lxml import etree


def mkpoolsxml(directory):
    elem = etree.Element("pools")
    for entry in os.listdir(directory):
        if entry.endswith('.sqlite3'):
            path = os.path.join(directory, entry)
            bytes_ = open(path, 'rb').read()
            sum_ = md5(bytes_)

            db = sqlite3.connect(path)
            db.row_factory = sqlite3.Row
            row = db.cursor().execute("SELECT * FROM Element").fetchone()
            
            pool = etree.SubElement(elem, "pool")
            pool.attrib['element'] = str(row['_id'])
            pool.attrib['format'] = str(row['format'])
            pool.attrib['version'] = str(row['version'])
            pool.attrib['name'] = str(row['name'])
            pool.attrib['datefield'] = row['datefield']
            pool.attrib['sum'] = sum_.hexdigest()
            pool.attrib['size'] = str(len(bytes_))
            pool.text = entry

    sys.stdout.buffer.write(etree.tostring(elem, pretty_print=True, xml_declaration=True))


if __name__ == '__main__':
    sys.exit(mkpoolsxml('data/pools'))
