package net.rten.palmve;

import androidx.test.core.app.ApplicationProvider;

import net.rten.palmve.repository.PoolRepo;

import javax.inject.Singleton;

import dagger.Module;
import dagger.Provides;
import dagger.hilt.components.SingletonComponent;
import dagger.hilt.testing.TestInstallIn;

@Module
@TestInstallIn(components = SingletonComponent.class,
        replaces = PoolRepo.class)
public class TestPoolRepoModule {

    @Singleton
    @Provides
    public static PoolRepo provideTestPoolDb(TestEnvironment env) {
        PoolRepo repo = new PoolRepo(ApplicationProvider.getApplicationContext(),
                env.getScratchDir().toString());
        repo.waitForLocalPools();
        return repo;
    }

}
