package net.rten.palmve.activities;

import static androidx.test.espresso.Espresso.onView;
import static androidx.test.espresso.assertion.ViewAssertions.matches;
import static androidx.test.espresso.matcher.ViewMatchers.isDisplayed;
import static androidx.test.espresso.matcher.ViewMatchers.withId;

import androidx.test.ext.junit.rules.ActivityScenarioRule;

import net.rten.palmve.R;

import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.RuleChain;

import dagger.hilt.android.testing.HiltAndroidRule;
import dagger.hilt.android.testing.HiltAndroidTest;

/**
 * To run this test, you can type:
 * <p>
 * adb shell am instrument -w -e class net.rten.palmve.PoolManagerActivityTest
 * net.rten.palmve.tests/android.test.InstrumentationTestRunner
 */
@HiltAndroidTest
public class PoolManagerActivityTest {
    private final HiltAndroidRule _hiltRule = new HiltAndroidRule(this);

    @Rule
    public RuleChain _pdChain = RuleChain.outerRule(_hiltRule)
            .around(new ActivityScenarioRule<>(PoolManagerActivity.class));

    /**
     * Verify that we have access to the underlying PalmVEApplication object.
     */
    @Test
    public void testPlaceholder() {
        onView(withId(R.id.pool_manager_list)).check(matches(isDisplayed()));
    }
}

