/*
 * PalmVE - Android amateur radio test practice program
 * Copyright (C) 2010 Michael A Ballbach
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package net.rten.palmve;

import java.util.Calendar;

/**
 * Interface for providing the basic data about an element.
 *
 * @author ballbach
 */
@SuppressWarnings("unused")
public interface Pool {
    int DATE_STATUS_EXPIRED = 1;
    int DATE_STATUS_ACTIVE = 2;
    int DATE_STATUS_FUTURE = 3;

    int getElementNr();

    int getFormat();

    int getVersion();

    String getName();

    String getDateField();

    Calendar getStartEffectiveDate();

    Calendar getEndEffectiveDate();

    int getDateStatus();

    /**
     * For a local pool, this might be the file's actual size. For a remote pool, it might be
     * the download size.
     *
     * @return 0 if the size is unkown, otherwise the size.
     */
    long getSize();
}
