package net.rten.palmve.activities;

import android.content.Intent;

import androidx.lifecycle.ViewModelProvider;

import net.rten.palmve.data.pool.ElementView;
import net.rten.palmve.data.pool.FigureView;
import net.rten.palmve.models.ElementFiguresModel;
import net.rten.palmve.repository.PoolRepo;

import javax.inject.Inject;

import dagger.hilt.android.AndroidEntryPoint;

@AndroidEntryPoint
public class FiguresActivity extends GenericListActivity<ElementView, FigureView, ElementFiguresModel> {
    @Inject
    protected PoolRepo _pools;

    @Override
    protected ElementFiguresModel makeModel() {
        ElementFiguresModel model = new ViewModelProvider(this).get(ElementFiguresModel.class);
        model.setPrimaryId(getIntent().getIntExtra(GenericListActivity.INTENT_POOL_ID, 0));
        model.setUp(_pools.getLocalPoolById(getPoolId()).getRoomDb());
        return model;
    }

    @Override
    public void onItemIdClicked(long id) {
        Intent intent = new Intent(this, ViewFigureActivity.class);
        intent.putExtra(GenericListActivity.INTENT_POOL_ID, getPoolId());
        intent.putExtra(ViewFigureActivity.INTENT_FIGURE_ID, id);
        startActivity(intent);
    }
}
