package net.rten.palmve.activities;

import android.content.Intent;

import androidx.lifecycle.ViewModelProvider;

import net.rten.palmve.Preferences;
import net.rten.palmve.data.pool.QuestionGroupView;
import net.rten.palmve.data.pool.QuestionView;
import net.rten.palmve.models.QuestionGroupModel;
import net.rten.palmve.repository.PoolRepo;

import javax.inject.Inject;

import dagger.hilt.android.AndroidEntryPoint;

@AndroidEntryPoint
public class QuestionGroupActivity extends GenericListActivity<
        QuestionGroupView, QuestionView, QuestionGroupModel> {
    static public final String INTENT_QUESTION_GROUP_ID = "questionGroupId";

    @Inject
    protected PoolRepo _pools;

    @Override
    protected QuestionGroupModel makeModel() {
        QuestionGroupModel model = new ViewModelProvider(this).get(QuestionGroupModel.class);
        model.setPrimaryId(getIntent().getLongExtra(INTENT_QUESTION_GROUP_ID, 0));
        model.setHideWithdrawn(Preferences.getQuestionBrowserHideWithdrawn(this));
        model.setUp(_pools.getLocalPoolById(getPoolId()).getRoomDb());
        return model;
    }

    @Override
    public void onItemIdClicked(long id) {
        Intent intent = new Intent(this, ViewQuestionAndAnswersActivity.class);
        intent.putExtra(GenericListActivity.INTENT_POOL_ID, getPoolId());
        intent.putExtra(ViewQuestionAndAnswersActivity.INTENT_QUESTION_ID, id);
        startActivity(intent);
    }
}
