package net.rten.palmve.activities;

import android.content.Intent;

import androidx.lifecycle.ViewModelProvider;

import net.rten.palmve.data.pool.QuestionGroupView;
import net.rten.palmve.data.pool.SubElementView;
import net.rten.palmve.models.SubElementModel;
import net.rten.palmve.repository.PoolRepo;

import javax.inject.Inject;

import dagger.hilt.android.AndroidEntryPoint;

@AndroidEntryPoint
public class SubElementActivity extends GenericListActivity<SubElementView, QuestionGroupView, SubElementModel> {
    public static final String INTENT_SUBELEMENT_ID = "subElementId";

    @Inject
    protected PoolRepo _pools;

    @Override
    protected SubElementModel makeModel() {
        SubElementModel model = new ViewModelProvider(this).get(SubElementModel.class);
        model.setPrimaryId(getIntent().getLongExtra(INTENT_SUBELEMENT_ID, 0));
        model.setUp(_pools.getLocalPoolById(getPoolId()).getRoomDb());
        return model;
    }

    @Override
    public void onItemIdClicked(long id) {
        Intent intent = new Intent(this, QuestionGroupActivity.class);
        intent.putExtra(GenericListActivity.INTENT_POOL_ID, getPoolId());
        intent.putExtra(QuestionGroupActivity.INTENT_QUESTION_GROUP_ID, id);
        startActivity(intent);
    }
}