package net.rten.palmve.activities;

import android.os.Bundle;

import androidx.appcompat.app.AppCompatActivity;
import androidx.lifecycle.ViewModelProvider;

import net.rten.palmve.LocalPool;
import net.rten.palmve.R;
import net.rten.palmve.models.TestSummaryModel;
import net.rten.palmve.repository.PoolRepo;
import net.rten.palmve.repository.TestHistoryRepo;

import javax.inject.Inject;

import dagger.hilt.android.AndroidEntryPoint;

@AndroidEntryPoint
public class TestResultsActivity extends AppCompatActivity {
    public static final String INTENT_POOL_NAME = "net.rten.palmve.poolName";
    public static final String INTENT_POOL_DATE = "net.rten.palmve.poolDate";
    public static final String INTENT_TEST_ID = "net.rten.palmve.testId";

    @Inject
    protected PoolRepo _pools;

    @Inject
    protected TestHistoryRepo _testHistory;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.test_results_activity);

        final String poolName = getIntent().getStringExtra(INTENT_POOL_NAME);
        final String poolDateField = getIntent().getStringExtra(INTENT_POOL_DATE);
        final long testId = getIntent().getLongExtra(INTENT_TEST_ID, 0);

        LocalPool pool = _pools.findLocalPool(poolName, poolDateField);
        if (pool != null) {
            TestSummaryModel model = new ViewModelProvider(this).get(TestSummaryModel.class);
            model.setUp(pool.getLocalPoolId(), pool.getRoomDb(), _testHistory.getDb(), testId);
        }
    }
}
