package net.rten.palmve.activities;

import android.os.Bundle;

import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.FragmentTransaction;
import androidx.lifecycle.ViewModelProvider;

import net.rten.palmve.R;
import net.rten.palmve.fragments.ViewFigureFragment;
import net.rten.palmve.models.FigureModel;
import net.rten.palmve.repository.PoolRepo;

import javax.inject.Inject;

import dagger.hilt.android.AndroidEntryPoint;

@AndroidEntryPoint
public class ViewFigureActivity extends AppCompatActivity {
    static public final String INTENT_FIGURE_ID = "figureId";

    @Inject
    protected PoolRepo _pools;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.setContentView(R.layout.generic_activity);

        FigureModel model = new ViewModelProvider(this).get(FigureModel.class);
        model.setFigureId(getIntent().getLongExtra(INTENT_FIGURE_ID, 0));
        model.getFigureViewCopy().observe(this, figure -> setTitle(getString(R.string.ViewFigureActivity_Title, figure.designation)));
        model.setUp(_pools.getLocalPoolById(getPoolId()).getRoomDb());

        if (savedInstanceState == null) {
            FragmentTransaction transaction = getSupportFragmentManager().beginTransaction();
            transaction.replace(R.id.generic_fragment, new ViewFigureFragment());
            transaction.commit();
        }
    }

    protected int getPoolId() {
        return getIntent().getIntExtra(GenericListActivity.INTENT_POOL_ID, 0);
    }
}
