package net.rten.palmve.data;

import androidx.room.TypeConverter;

import net.rten.palmve.data.pool.Answer;
import net.rten.palmve.data.test.TestState;

import java.util.Calendar;

@SuppressWarnings("unused")
public class Converters {
    @TypeConverter
    public static Calendar calendarFromLong(Long value) {
        if (value == null) {
            return null;
        }
        Calendar c = Calendar.getInstance();
        c.setTimeInMillis(value);
        return c;
    }

    @TypeConverter
    public static Long longFromCalendar(Calendar calendar) {
        if (calendar == null) {
            return null;
        }
        return calendar.getTimeInMillis();
    }

    @TypeConverter
    public static TestState testStateFromInt(Integer value) {
        if (value == 1) {
            return TestState.IN_PROGRESS;
        } else if (value == 2) {
            return TestState.PASSED;
        } else if (value == 3) {
            return TestState.FAILED;
        }
        throw new RuntimeException("invalid test state");
    }

    @TypeConverter
    public Integer integerFromTestState(TestState testState) {
        if (testState == TestState.IN_PROGRESS) {
            return 1;
        } else if (testState == TestState.PASSED) {
            return 2;
        } else if (testState == TestState.FAILED) {
            return 3;
        }
        throw new RuntimeException("invalid test state");
    }

    @TypeConverter
    public Answer.AnswerCode answerCodeFromString(String letter) {
        if (letter == null) {
            return null;
        }
        switch (letter) {
            case "A":
                return Answer.AnswerCode.A;
            case "B":
                return Answer.AnswerCode.B;
            case "C":
                return Answer.AnswerCode.C;
            case "D":
                return Answer.AnswerCode.D;
        }
        throw new RuntimeException("invalid answer letter");
    }

    @TypeConverter
    public String stringFromAnswerCode(Answer.AnswerCode code) {
        if (code == null) {
            return null;
        }
        switch (code) {
            case A:
                return "A";
            case B:
                return "B";
            case C:
                return "C";
            case D:
                return "D";
        }
        throw new RuntimeException("invalid answer code");
    }
}
