package net.rten.palmve.data.pool;

import androidx.lifecycle.LiveData;
import androidx.room.Dao;
import androidx.room.Query;

import java.util.List;

@Dao
public interface ElementDao {
    /**
     * All well formed DBs should only have one element.
     */
    @Query("SELECT * FROM Element LIMIT 1")
    Element getElement();

    /**
     * This returns a version of the element data that inherits
     * PoolItemWithDescriptionAndDesignation, for use in lists, etc...
     */
    @Query("SELECT * FROM ElementView")
    LiveData<ElementView> getElementLiveData();

    @Query("SELECT * FROM FigureView")
    LiveData<List<FigureView>> getFiguresInElementLiveData();
}
