package net.rten.palmve.data.pool;

import androidx.room.Database;
import androidx.room.RoomDatabase;

@Database(
        entities = {
                Element.class,
                SubElement.class,
                QuestionGroup.class,
                Figure.class,
                Question.class,
                Answer.class,
                FullTextQuestion.class,
                FullTextAnswer.class
        },
        views = {
                AnswerView.class,
                ElementView.class,
                FigureView.class,
                QuestionView.class,
                QuestionGroupView.class,
                QuestionViewForAnswerSearch.class,
                SubElementView.class
        },
        version = 3)
public abstract class PoolDatabase extends RoomDatabase {
    public abstract ElementDao elementDao();

    public abstract SubElementDao subElementDao();

    public abstract QuestionGroupDao questionGroupsDao();

    public abstract QuestionDao questionDao();

    public abstract FigureDao figureDao();

    public abstract TestGeneratorDao testGenerationDao();
}