package net.rten.palmve.data.pool;

import androidx.room.DatabaseView;

@DatabaseView(
        "SELECT Question._id AS id, SubElement.designation AS subElement, " +
                "QuestionGroup._id as questionGroupId, " +
                "QuestionGroup.letter AS questionGroup, Question.tag as questionTag," +
                "SubElement.designation || QuestionGroup.letter || Question.tag AS designation, " +
                "Question.withdrawn, Question.rightanswer AS rightAnswer, FTS_Question.description, " +
                "Question.figure AS figureId " +
                "FROM Question " +
                "INNER JOIN QuestionGroup on QuestionGroup._id = Question.questiongroup " +
                "INNER JOIN SubElement on SubElement._id = QuestionGroup.subelement " +
                "INNER JOIN FTS_Question on FTS_Question.rowid = Question._id"
)
public class QuestionView extends PoolItemWithDescriptionAndDesignation {
    public String subElement;
    public Long questionGroupId;
    public String questionGroup;
    public String questionTag;
    public Boolean withdrawn;
    public Answer.AnswerCode rightAnswer;
    public Long figureId;
}
