package net.rten.palmve.fragments;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.fragment.app.Fragment;
import androidx.lifecycle.LiveData;

import net.rten.palmve.R;
import net.rten.palmve.data.pool.PoolItemWithDescriptionAndDesignation;

public class GenericListHeaderFragment extends Fragment {
    private static final String TAG = "GenericListHeaderFragment";

    private TextView _tag;
    private TextView _description;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.list_header_fragment, container, false);
        _tag = rootView.findViewById(R.id.listHeaderFragmentTag);
        _description = rootView.findViewById(R.id.listHeaderFragmentDescription);
        rootView.setTag(TAG);
        return rootView;
    }

    public void onViewModelReady(LiveData<? extends PoolItemWithDescriptionAndDesignation> data) {
        data.observe(getViewLifecycleOwner(), item -> {
            _tag.setText(item.designation);
            _description.setText(item.description);
        });
    }
}
