package net.rten.palmve.models;

import androidx.lifecycle.LiveData;

import net.rten.palmve.data.pool.PoolDatabase;
import net.rten.palmve.data.pool.QuestionGroupView;
import net.rten.palmve.data.pool.QuestionView;

import java.util.List;

public class QuestionGroupModel extends GenericListModel<QuestionGroupView, QuestionView> {
    private boolean _questionBrowserHideWithdrawn;

    @Override
    protected LiveData<QuestionGroupView> getHeaderDataFromDao(PoolDatabase poolDb) {
        return poolDb.questionGroupsDao().questionGroupById(getPrimaryId());
    }

    @Override
    protected LiveData<List<QuestionView>> getItemDataFromDao(PoolDatabase poolDb) {
        if (getHideWithdrawn()) {
            return poolDb.questionDao().questionsByQuestionGroupIdHideWithdrawn(getPrimaryId());
        }
        return poolDb.questionDao().questionsByQuestionGroupId(getPrimaryId());
    }

    public boolean getHideWithdrawn() {
        return _questionBrowserHideWithdrawn;
    }

    public void setHideWithdrawn(boolean questionBrowserHideWithdrawn) {
        _questionBrowserHideWithdrawn = questionBrowserHideWithdrawn;
    }
}
