package net.rten.palmve.models;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.ViewModel;

import net.rten.palmve.data.test.TestDatabase;
import net.rten.palmve.data.test.TestHistory;
import net.rten.palmve.utilities.CopyObserver;

import java.util.List;

public class TestHistoryListModel extends ViewModel {
    private final CopyObserver<List<TestHistory>> _copy = new CopyObserver<>();
    private TestDatabase _testDb;
    private String _elementName, _elementDate;

    public LiveData<List<TestHistory>> getTestList() {
        return _copy.getCopy();
    }

    public void setUp(String elementName, String elementDate, TestDatabase testDb) {
        _testDb = testDb;
        _elementName = elementName;
        _elementDate = elementDate;
        _copy.startObservingMaster(testDb.testDao().getTestHistory(
                elementName, elementDate));
    }

    @Override
    public void onCleared() {
        _copy.stopObservingMaster();
    }

    public void asyncDeleteTestHistory() {
        new Thread(() -> _testDb.testDao().deleteTestHistory(_elementName, _elementDate)).start();
    }
}
